<?php
session_start();

$foot_s = "1";

$head = file_get_contents('templ/head.php');
$errors = array();


session_unset();
echo $head;

//set chmod
function setChMod($path, $mode = 0777, $recursive = true) {
	clearstatcache();
	$flag = true;
	if (file_exists($path) && is_dir($path) && $recursive === true) {
		$child = glob($path . '/*');

		if (!empty($child)) {
			//recursive
			foreach ($child as $row) {
				if ($row != '.' && $row != '..') {
					if (!setChMod($row, 0777, true)) {
						$flag = false;
					}
				}
			}
		}
		if (!@chmod($path, $mode) || $flag === false) return false;
		return true;
	
	} else if (file_exists($path)) {
		if (@chmod($path, $mode)) return true;
		return false;
	}
}

include_once '../sys/inc/home.php';
include_once '../sys/inc/config.class.php';

$errors = array();
if (isset($_GET['cl'])) session_unset();







        // Проверка прав доступа к файлам и папкам
        function permissions($filez) {
            $filez = @ decoct(@ fileperms("../$filez")) % 1000;
            return $filez;
        }
        $cherr = '';

        // Проверка прав доступа к папкам
        $arr = array('sys/avatars/', 'sys/cache/', 'sys/files/', 'sys/logs/', 'sys/logs/anti_ddos/', 'sys/logs/counter/', 'sys/logs/counter_online/', 'sys/logs/db_backups/', 'sys/logs/forum/', 'sys/logs/ip_ban/', 'sys/logs/system_log/', 'sys/settings/', 'sys/tmp/', 'sys/tmp/chat/');
        foreach ($arr as $v) {
            if (permissions($v) < 0777) {
                $cherr = $cherr . '<div class="smenu"><span class="red">ОШИБКА! - ' . $v . '</span><br /><span class="gray">Необходимо установить права доступа 0777.</span></div>';
                $err = 1;
            }
        }

        // Проверка прав доступа к файлам
        $arr = array('sys/settings/config.php');
        foreach ($arr as $v) {
            if (permissions($v) < 0777) {
                $cherr = $cherr . '<div class="smenu"><span class="red">ОШИБКА! - ' . $v . '</span><br/><span class="gray">Необходимо установить права доступа 0777.</span></div>';
                $err = 1;
            }
        }

        echo '</ul><ul>';
        echo $cherr;
        echo '</ul>';
        switch ($err) {
            case '1' :
                echo '<span class="red">Внимание!</span> Имеются критические ошибки!<br />Вы не сможете продолжить инсталляцию, пока не устраните их.';
                break;

            default :
                echo '<span class="green">Отлично!</span><br />Все настройки правильные.<p><a href="shag_2.php">Продолжить установку</a></p>';
        }


include 'templ/foot.php'
?>
